List GTM strategies
curl --request GET \
--url https://app.puffle.ai/api/strategies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.puffle.ai/api/strategies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.puffle.ai/api/strategies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"strategies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"scheduleEnabled": true,
"definitionHash": "<string>",
"intent": "<string>",
"sellerContext": "<string>",
"sourcePlans": [
{
"query": [
"<string>"
],
"reason": "<string>"
}
],
"details": {
"channel": "<string>",
"signal": "<string>",
"expectedLead": "<string>",
"whyThisShouldWork": "<string>"
},
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outboundCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leadCount": 4503599627370495,
"contactedCount": 4503599627370495,
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"latestRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"counts": {},
"errors": [
{
"sourceId": "<string>",
"error": "<string>"
}
],
"sourceStatus": [
{
"sourceId": "<string>",
"status": "<string>",
"error": "<string>",
"queryDiagnostics": [
{
"query": "<string>",
"fetched": 4503599627370495,
"normalized": 4503599627370495,
"ranked": 4503599627370495,
"leadExtracted": 4503599627370495,
"qualityKept": 4503599627370495,
"stored": 4503599627370495,
"maxResults": 4503599627370495,
"apolloEnriched": 4503599627370495,
"keywordDepthBoosted": true,
"currentRunDepthExpanded": true,
"searchAttempts": [
{
"attempt": 4503599627370495,
"reason": "<string>",
"fetched": 4503599627370495,
"providerQuery": "<string>",
"filters": {}
}
],
"error": "<string>"
}
]
}
],
"triggerRunId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Strategies
List GTM strategies
List GTM strategies
GET
/
api
/
strategies
List GTM strategies
CLI:
puffle strategy
Overview
List GTM strategies This page documentsget /api/strategies. Use the request and response sections on this page for accepted parameters, payload fields, response fields, and authentication behavior.
AI agent notes
- Confirm the operation matches the user’s intent before calling it.
- For write operations, confirm the user intends to change state.
- Surface validation, permission, and not-found errors instead of retrying unchanged.
Was this page helpful?
⌘I